import { SvelteComponentTyped } from "svelte";
import { Button } from '..';
declare const __propDef: {
    props: {
        value?: Date | null;
        defaultDate?: Date | null;
        range?: boolean;
        rangeFrom?: Date | null;
        rangeTo?: Date | null;
        locale?: string;
        firstDayOfWeek?: number;
        dateFormat?: Intl.DateTimeFormatOptions;
        placeholder?: string;
        disabled?: boolean;
        required?: boolean;
        inputClass?: string;
        color?: Button["color"];
        inline?: boolean;
        autohide?: boolean;
        showActionButtons?: boolean;
        title?: string;
    };
    events: {
        select: CustomEvent<any>;
        clear: CustomEvent<any>;
        apply: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type DatepickerProps = typeof __propDef.props;
export type DatepickerEvents = typeof __propDef.events;
export type DatepickerSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let value: Date | null = null;
 * @prop export let defaultDate: Date | null = null;
 * @prop export let range: boolean = false;
 * @prop export let rangeFrom: Date | null = null;
 * @prop export let rangeTo: Date | null = null;
 * @prop export let locale: string = 'default';
 * @prop export let firstDayOfWeek: number = 0;
 * @prop export let dateFormat: Intl.DateTimeFormatOptions = { year: 'numeric', month: 'long', day: 'numeric' };
 * @prop export let placeholder: string = 'Select date';
 * @prop export let disabled: boolean = false;
 * @prop export let required: boolean = false;
 * @prop export let inputClass: string = '';
 * @prop export let color: Button['color'] = 'primary';
 * @prop export let inline: boolean = false;
 * @prop export let autohide: boolean = true;
 * @prop export let showActionButtons: boolean = false;
 * @prop export let title: string = '';
 */
export default class Datepicker extends SvelteComponentTyped<DatepickerProps, DatepickerEvents, DatepickerSlots> {
}
export {};
